[Package]
Name="hse_lib_hse_logger"
Version="2.2.2.114"
Release=""
ID=0b12e45ed80c0d41605dcbd40a87548f
File Format="vip"
Format Version="2017"
Display Name="HSE Logger"


[Description]
Description="A flexible and extensible logging system inspired by the Python logging module.\0A\0AFor common logging tasks this logger library has a Quick-API which makes it very easy to integrate and use it in a project without caring about the LVOOP internals. The library provides five log levels (DEBUG, INFO, WARNING, ERROR, CRITICAL) and two targets for the output (file handler, event handler). Because of the LVOOP design it is flexibly usable and every part of it can be extended with custom child classes to implement new features. \0A\0AWe also offer add-on packages to extend the basic functionality (e.g. log rotate for files or logging to databases).\0A\0AMore information is available at\0Ahttps://dokuwiki.hampel-soft.com/code/open-source/hse-logger\0A\0AThis project ships with several examples which you can browse from the Example Finder (Help ? Find Examples menu item in the LabVIEW IDE). In the NI Example Finder, browsing the directory structure, navigate to \\HSE or \\Hampel Software Engineering where you will find additional example VIs.\0A\0A--- \0A\0AThis software is published under a free licence; you can use, modify and extend it as you wish. However, if you need commercial support please get in touch with us.\0A\0AAt Hampel Software Engineering (HSE) we work with our customers to increase the quality of their software through improved development processes. If you are interested in working with HSE or want to learn more about how we can help you please visit www.hampel-soft.com."
Summary="A flexible and extensible logging system inspired by the Python logging module."
License="BSD License"
Copyright="Copyright (c) 2025, Hampel Software Engineering"
Distribution=""
Vendor="Hampel Software Engineering"
URL="https://dokuwiki.hampel-soft.com/code/open-source/hse-logger"
Packager="Hampel Software Engineering"
Demo="FALSE"
Release Notes="[IMPROVEMENT] update colors, descriptions\0A\0Av2.2.1\0A[FEATURE] add examples (issues #22, #39)\0A[FEATURE] add some custom probes (issue #42)\0A[FEATURE] do not throw error if logger not initialised (issue #52)\0A[FEATURE] add method to Change Handler Log Lever (issue #53)\0A[FEATURE] make parsing of the error source public (issue #56)\0A[FEATURE] add protected write accessors (issue #58)"
System Package="FALSE"
Sub Package="FALSE"
License Agreement="TRUE"


[LabVIEW]
close labview before install="FALSE"
restart labview after install="FALSE"
skip mass compile after install="FALSE"


[Platform]
Exclusive_LabVIEW_Version="LabVIEW>=16.0"
Exclusive_LabVIEW_System="ALL"
Exclusive_OS="ALL"


[Script VIs]
PreInstall=""
PostInstall="<OS Boot Volume Root>\\GitLab-Runner\\builds\\nvq4sz7d\\0\\open-source\\hse-logger\\Resources\\Post-Install Custom Action.vi"
PreUninstall=""
PostUninstall=""
Verify=""
PreBuild=""
PostBuild=""


[Dependencies]
AutoReqProv=FALSE
Requires=""
Conflicts=""


[Activation]
License File=""
Licensed Library=""


[Files]
Num File Groups="3"
Sub-Packages=""
Namespaces=""


[File Group 0]
Target Dir="<application>"
Replace Mode="Always"
Num Files=100
File 0="vi.lib/Hampel Software Engineering/HSE Logger/Change Handler Log Level.vi"
File 1="vi.lib/Hampel Software Engineering/HSE Logger/Close Logging.vi"
File 2="vi.lib/Hampel Software Engineering/HSE Logger/CRITICAL.vi"
File 3="vi.lib/Hampel Software Engineering/HSE Logger/DEBUG.vi"
File 4="vi.lib/Hampel Software Engineering/HSE Logger/ERROR.vi"
File 5="vi.lib/Hampel Software Engineering/HSE Logger/FGV Actions.ctl"
File 6="vi.lib/Hampel Software Engineering/HSE Logger/Get Handler by Name.vi"
File 7="vi.lib/Hampel Software Engineering/HSE Logger/Get Handler Event.vi"
File 8="vi.lib/Hampel Software Engineering/HSE Logger/Get Handlers.vi"
File 9="vi.lib/Hampel Software Engineering/HSE Logger/Get Logging Ref.vi"
File 10="vi.lib/Hampel Software Engineering/HSE Logger/hse-logger.lvlib"
File 11="vi.lib/Hampel Software Engineering/HSE Logger/INFO.vi"
File 12="vi.lib/Hampel Software Engineering/HSE Logger/Init Logging.vi"
File 13="vi.lib/Hampel Software Engineering/HSE Logger/Logger DVR FGV.vi"
File 14="vi.lib/Hampel Software Engineering/HSE Logger/LogLevel.ctl"
File 15="vi.lib/Hampel Software Engineering/HSE Logger/versioninfo.txt"
File 16="vi.lib/Hampel Software Engineering/HSE Logger/Wait for Logger Init.vi"
File 17="vi.lib/Hampel Software Engineering/HSE Logger/WARNING.vi"
File 18="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Create LogRecord.vi"
File 19="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Generate Callchain.vi"
File 20="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Get Callchain.vi"
File 21="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Get Error.vi"
File 22="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Get ISO Time.vi"
File 23="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Get Level.vi"
File 24="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Get Message.vi"
File 25="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Get Timestamp.vi"
File 26="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Init.vi"
File 27="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/LogRecord.lvclass"
File 28="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Write Callchain.vi"
File 29="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Write Error.vi"
File 30="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Write Level.vi"
File 31="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Write Message.vi"
File 32="vi.lib/Hampel Software Engineering/HSE Logger/LogRecord/Write Timestamp.vi"
File 33="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Add Handler.vi"
File 34="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Create Logger.vi"
File 35="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Critical.vi"
File 36="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Debug.vi"
File 37="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Destroy.vi"
File 38="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Error.vi"
File 39="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Get Handler by Name.vi"
File 40="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Get Handlers.vi"
File 41="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Info.vi"
File 42="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Init.vi"
File 43="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Log.vi"
File 44="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Logger Not Initialized Error Constant.vi"
File 45="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Logger.lvclass"
File 46="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Remove Handler.vi"
File 47="vi.lib/Hampel Software Engineering/HSE Logger/Logger/Warning.vi"
File 48="vi.lib/Hampel Software Engineering/HSE Logger/Handler/Close.vi"
File 49="vi.lib/Hampel Software Engineering/HSE Logger/Handler/Get Level.vi"
File 50="vi.lib/Hampel Software Engineering/HSE Logger/Handler/Get Name.vi"
File 51="vi.lib/Hampel Software Engineering/HSE Logger/Handler/Handle LogRec.vi"
File 52="vi.lib/Hampel Software Engineering/HSE Logger/Handler/Handler.lvclass"
File 53="vi.lib/Hampel Software Engineering/HSE Logger/Handler/Init.vi"
File 54="vi.lib/Hampel Software Engineering/HSE Logger/Handler/Set Level.vi"
File 55="vi.lib/Hampel Software Engineering/HSE Logger/Handler/Set Name.vi"
File 56="vi.lib/Hampel Software Engineering/HSE Logger/Handler/UserEventHandler/Close.vi"
File 57="vi.lib/Hampel Software Engineering/HSE Logger/Handler/UserEventHandler/Create UserEventHandler.vi"
File 58="vi.lib/Hampel Software Engineering/HSE Logger/Handler/UserEventHandler/Get Logging Event.vi"
File 59="vi.lib/Hampel Software Engineering/HSE Logger/Handler/UserEventHandler/Handle LogRec.vi"
File 60="vi.lib/Hampel Software Engineering/HSE Logger/Handler/UserEventHandler/Init-UserEventHandler.vi"
File 61="vi.lib/Hampel Software Engineering/HSE Logger/Handler/UserEventHandler/UserEventHandler.lvclass"
File 62="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Close.vi"
File 63="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Create FileHandler.vi"
File 64="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/FileHandler.lvclass"
File 65="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Get File Ref.vi"
File 66="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Get Filepath.vi"
File 67="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Get Formatter.vi"
File 68="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Handle LogRec.vi"
File 69="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Init-FileHandler.vi"
File 70="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Set File Ref.vi"
File 71="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Set Filepath.vi"
File 72="vi.lib/Hampel Software Engineering/HSE Logger/Handler/FileHandler/Set Formatter.vi"
File 73="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Clean Error Source String.vi"
File 74="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Create Formatter.vi"
File 75="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Format LogRecord.vi"
File 76="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Formatter.lvclass"
File 77="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Get Datetime Format.vi"
File 78="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Get Error Source Components.vi"
File 79="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Get Format.vi"
File 80="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Init.vi"
File 81="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Set Datetime Format.vi"
File 82="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/Set Format.vi"
File 83="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/JSONLFormatter/Create JSONLFormatter.vi"
File 84="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/JSONLFormatter/Format LogRecord.vi"
File 85="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/JSONLFormatter/Format--cluster.ctl"
File 86="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/JSONLFormatter/JSONLFormatter.lvclass"
File 87="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/HSE_v2_Formatter/Create HSE_v2_Formatter.vi"
File 88="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/HSE_v2_Formatter/Format Extended Error Info.vi"
File 89="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/HSE_v2_Formatter/Format LogRecord.vi"
File 90="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/HSE_v2_Formatter/Get Error Line Format.vi"
File 91="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/HSE_v2_Formatter/HSE_v2_Formatter.lvclass"
File 92="vi.lib/Hampel Software Engineering/HSE Logger/Formatter/HSE_v2_Formatter/Set Error Line Format.vi"
File 93="vi.lib/Hampel Software Engineering/HSE Logger/_VI Templates/HSE Logger - Log Handlers and Levels.vi"
File 94="vi.lib/Hampel Software Engineering/HSE Logger/_VI Templates/HSE Logger - UE Handler Quickstart.vi"
File 95="vi.lib/_probes/Hampel Software Engineering/HSE Logger/HSE Logger Custom Probe - DEBUG (Error).vi"
File 96="vi.lib/_probes/Hampel Software Engineering/HSE Logger/HSE Logger Custom Probe - DEBUG (String).vi"
File 97="vi.lib/_probes/Hampel Software Engineering/HSE Logger/HSE Logger Custom Probe - DEBUG (Variant).vi"
File 98="examples/Hampel Software Engineering/HSE Logger/_Examples/Benchmark Logger.vi"
File 99="examples/Hampel Software Engineering/HSE Logger/_Examples/Logging with Helper-VIs.vi"


[File Group 1]
Target Dir="<vi.lib>/addons/HSE"
Replace Mode="Always"
Num Files=10
File 0="_functions_hse_lib_hse_logger_1.mnu"
File 1="_functions_hse_lib_hse_logger_2.mnu"
File 2="_functions_hse_lib_hse_logger_3.mnu"
File 3="_functions_hse_lib_hse_logger_4.mnu"
File 4="_functions_hse_lib_hse_logger_5.mnu"
File 5="_functions_hse_lib_hse_logger_6.mnu"
File 6="_functions_hse_lib_hse_logger_7.mnu"
File 7="_functions_hse_lib_hse_logger_8.mnu"
File 8="_functions_hse_lib_hse_logger_9.mnu"
File 9="functions_hse_lib_hse_logger.mnu"


[File Group 2]
Target Dir="<vi.lib>/addons/HSE"
Replace Mode="If Newer"
Num Files=1
File 0="dir.mnu"
