[Package]
Name="labview_open_source_lib_epoch_datetime"
Version="1.2.0.6"
Release=""
ID=254ceec1a20b434d39cef6e7665c0c35
File Format="vip"
Format Version="2017"
Display Name="Epoch Date & Time"


[Description]
Description="Epoch Date & Time is a unified time library for LabVIEW\0D\0A\0D\0AThis library provides support for UTC, Unix and GPS Epochs, enabling the conversion of timestamps into the proper frame of reference. It supports leap seconds to accurately convert from UTC (coordinatad universal time) to GPS (global positioning system) with proper offset based on divergence between UTC and TAI (international atomic time). It is completed with an extensible interface for Date-String formatters and comes pre-loaded with ISO8601 and RFC5322 support.\0D\0A\0D\0A- ISO8601 is the international standard for date and time on almost every modern interoperable systems and databases. (RFC3339 strings can be read with non-strict ISO validation flag)\0D\0A- RFC5322 is the standard for email headers format, which includes a Date-Time string. This library covers only the date-time string part of the standard.\0D\0A\0D\0AEpochs\0D\0AUTC epoch starts on 1904-01-01\0D\0ALocal System is referenced to UTC with a time offset (from -14:00 to +12:00)\0D\0AUnix epoch starts on 1970-01-01\0D\0AGPS epoch starts on 1980-01-06\0D\0A\0D\0AKeywords: \0D\0ALeap Year, leap second\0D\0AUTC Time zone offset\0D\0AISO8601, RFC5322, Epoch\0D\0AGPS, Unix, UTC, Local System Time\0D\0A\0D\0AExample:\0D\0ATaking the following date and time: January 1st, 2021 @ 11:50:22.587 in Montreal:\0D\0A\0D\0AUTC DateTime = 2021-01-09T16:50:22.587Z\0D\0ANon UTC DateTime = 2021-01-08T11:50:22.587-05:00\0D\0AISO Date = 2021-01-09 or 20210109\0D\0AISO Calendar month = 2021-01\0D\0AISO Week = 2021-W01\0D\0AISO Week-Day = 2021-W01-6\0D\0AISO Ordinal Date = 2021-009\0D\0AThe reverse operation (ISO8601 DateString to Timestamp) supports all the above accepted formats, validates the input string for compliance and returns the ISO Format type matched.\0D\0A\0D\0ARFC3339 Format\0D\0ARFC3339 is based on ISO8601 but allows for a few deviations. A notable one is the space to replace the "T" in the UTC DateTime. Instead of providing an entirely separate method, the DateTime to Timestamp exposes a "Strict ISO?" terminal which can be set to false to accept RFC3339 format as a valid date-time string.\0D\0A\0ARFC5322 Format\0ANeeded for HTTP1.1 Support. Allows backward compatibility with RFC850 and ANSI-C time formats.\0A\0D\0ACompare Timestamps\0D\0ABecause of the high resolution of the LabVIEW Timestamps, and the limited resolution of date-time strings, validation of equality needs to be performed with a certain precision. A practical method has been added to the palette to compare with a pre-defined resolution. The node defaults to 1 millisecond, but can be set to any fractional of multiple of 1, and units available span from nanoseconds to weeks. For simplicity, months and years have been ommitted because of extra computation required to handle leap years and different month lengths. All comparisons are performed in timestamp epoch (UTC).\0D\0A\0D\0AGPS, TAI and UTC\0D\0AGPS clocks and International Atomic Time are continuous and evenly-spaced, whereas UTC compensates for the fluctuation of Earth's rotation to keep the "year" synchronized for human activities. Therefore, leap seconds are sometimes added or removed to UTC time. Based on the history of the number of leap seconds added to the UTC, one must use this look-up table to make the exact time conversions. Leap Seconds record is kept in a table maintained by an international consortium (https://www.ietf.org/timezones/data/leap-seconds.list)\0D\0A"
Summary="Unified Date and Time LIbrary"
License="BSD 0-Clause"
Copyright="Copyright (c) 2023, LabVIEW Open Source Project"
Distribution=""
Vendor="LabVIEW Open Source Project"
URL="https://github.com/LabVIEW-Open-Source/Epoch-Time"
Packager="Francois Normandin"
Demo="FALSE"
Release Notes="[Feature:4] Addition of RFC850 and ANSI-C tolerance (default = false) to the RFC5322 strign to time method.\0A[Feature] Added support for UTC Offset letters (A thru Y)"
System Package="FALSE"
Sub Package="FALSE"
License Agreement="TRUE"


[LabVIEW]
close labview before install="FALSE"
restart labview after install="FALSE"
skip mass compile after install="FALSE"
install into global environment="FALSE"


[Platform]
Exclusive_LabVIEW_Version="LabVIEW>=13.0"
Exclusive_LabVIEW_System="ALL"
Exclusive_OS="ALL"


[Script VIs]
PreInstall=""
PostInstall=""
PreUninstall=""
PostUninstall=""
Verify=""
PreBuild=""
PostBuild=""


[Dependencies]
AutoReqProv=FALSE
Requires="labview_open_source_project_lib_labview_open_source_palette>=1.0.0.2"
Conflicts=""


[Activation]
License File=""
Licensed Library=""


[Files]
Num File Groups="3"
Sub-Packages=""
Namespaces=""


[File Group 0]
Target Dir="<application>"
Replace Mode="Always"
Num Files=74
File 0="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/Compare Timestamps.vi"
File 1="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/Epoch Factory.vi"
File 2="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/Epoch Library -- VI Tree.vi"
File 3="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/EpochNotTimestamp.vi"
File 4="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/Epochs -- enum.ctl"
File 5="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/Get Epoch Time.vi"
File 6="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/Get Local UTC Offset.vi"
File 7="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/GregorianCal_Month -- enum.ctl"
File 8="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/GregorianCal_MonthLength.vi"
File 9="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/GregorianCal_MonthLengths.vi"
File 10="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/isDST.vi"
File 11="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/isLeapYear (integer).vi"
File 12="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/isLeapYear (Poly).vi"
File 13="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/isLeapYear (timestamp).vi"
File 14="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/Timestamp Compare Units -- enum.ctl"
File 15="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/UTC Offset to Seconds.vi"
File 16="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/UTC Offsets -- enum.ctl"
File 17="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.rfc5322/DateTime.RFC5322.lvclass"
File 18="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.rfc5322/fromString.vi"
File 19="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.rfc5322/RFC5322 DateString to Timestamp.vi"
File 20="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.rfc5322/RFC5322 Month String to Integer.vi"
File 21="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.rfc5322/RFC5322 Months -- enum.ctl"
File 22="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.rfc5322/Timestamp to RFC5322 DateString.vi"
File 23="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.rfc5322/toString.vi"
File 24="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/DateTime.ISO8601.lvclass"
File 25="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/fromString.vi"
File 26="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/ISO Day -- enum.ctl"
File 27="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/ISO8601 Date Formats.ctl"
File 28="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/ISO8601 DateString to Timestamp.vi"
File 29="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Read ISO Format.vi"
File 30="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Read Support RFC3339.vi"
File 31="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Timestamp to ISO8601 Date.vi"
File 32="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Timestamp to ISO8601 Day.vi"
File 33="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Timestamp to ISO8601 UTC DateTime.vi"
File 34="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Timestamp to ISO8601 Week.vi"
File 35="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Timestamp to ISO8601 Year.vi"
File 36="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/toString.vi"
File 37="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Write ISO Format.vi"
File 38="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/Write Support RFC3339.vi"
File 39="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter.iso8601/YearToFirstDayW01.vi"
File 40="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter/Adjust for DST.vi"
File 41="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter/DateTimeFormatter.lvclass"
File 42="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter/fromString.vi"
File 43="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter/Timestamp from String.vi"
File 44="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter/Timestamp to String.vi"
File 45="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/formatter/toString.vi"
File 46="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.UTC/Epoch.UTC.lvclass"
File 47="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.UTC/getOffsetToUTC.vi"
File 48="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.UTC/toTimestamp.vi"
File 49="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.UNIX/Epoch.UNIX.lvclass"
File 50="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.UNIX/getOffsetToUTC.vi"
File 51="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.UNIX/Timestamp to Unix Time.vi"
File 52="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.UNIX/toTimestamp.vi"
File 53="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.UNIX/Unix Time to Timestamp.vi"
File 54="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.GPS/Epoch.GPS.lvclass"
File 55="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.GPS/getOffsetToTAI.vi"
File 56="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.GPS/getOffsetToUTC.vi"
File 57="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.GPS/GPS Time to Timestamp.vi"
File 58="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.GPS/Timestamp to GPS Time.vi"
File 59="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch.GPS/toTimestamp.vi"
File 60="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/Epoch.lvclass"
File 61="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/getLeapSecondCount.vi"
File 62="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/getOffsetToTAI.vi"
File 63="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/getOffsetToUTC.vi"
File 64="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/leapSeconds LUT.vi"
File 65="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/mergeFractionalSeconds.vi"
File 66="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/mergeFractionalSeconds[ms].vi"
File 67="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/mergeFractionalSeconds[us].vi"
File 68="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/splitFractionalSeconds.vi"
File 69="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/splitFractionalSeconds[ms].vi"
File 70="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/splitFractionalSeconds[us].vi"
File 71="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/timestampOffset.vi"
File 72="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/toDateTimeString.vi"
File 73="vi.lib/LabVIEW Open Source Project/Epoch Date & Time/epoch/toTimestamp.vi"


[File Group 1]
Target Dir="<vi.lib>/addons/LabVIEW Open Source Project"
Replace Mode="Always"
Num Files=5
File 0="_functions_labview_open_source_lib_epoch_datetime_1.mnu"
File 1="_functions_labview_open_source_lib_epoch_datetime_2.mnu"
File 2="_functions_labview_open_source_lib_epoch_datetime_3.mnu"
File 3="_functions_labview_open_source_lib_epoch_datetime_4.mnu"
File 4="functions_LabVIEW_Open_Source_lib_Epoch_DateTime.mnu"


[File Group 2]
Target Dir="<user.lib>/_dynamicpalette_dirs/timedlg"
Replace Mode="Always"
Num Files=2
File 0="_functions_labview_open_source_lib_epoch_datetime_1.mnu"
File 1="functions_LabVIEW_Open_Source_lib_Epoch_DateTime.mnu"
